--Exports a text file with all available plugs listed

--menus
renoise.tool():add_menu_entry {
  name = "Main Menu:Tools:Debug, Export Available plugs to txt",
  invoke = function() print_plugs() end
}


function print_plugs()
  local file_out = renoise.app():prompt_for_filename_to_write(".txt", "Export List of Available Plugins")
  local text = renoise.song().tracks[1].available_device_infos[1].short_name
   
  for i = 1,#renoise.song().tracks[1].available_device_infos do
    text = text..renoise.song().tracks[1].available_device_infos[i].short_name.."\n"
  end
  
  text = text.."\nInstruments:\n\n"
  
  for i = 1,#renoise.song().instruments[1].plugin_properties.available_plugin_infos do
    text = text..renoise.song().instruments[1].plugin_properties.available_plugin_infos[i].short_name.."\n"
  end
  
  --export text
  ---------------
  local out = io.open(file_out, "wb")
  
  if out then 
    out:write(text)
   -- print(file_out)
    renoise.app():open_path(file_out)
    out:close()
  else 
     renoise.app():show_status("No text Exported!")
  end 
end  
